Detailed system requirements for InfoSphere Master Data Management Collaboration Server, Version 10.0.

Detailed system requirements


Abstract

This page describes the supported operating systems for IBM® InfoSphere MDM Collaboration Server, Version 10.0. Please note the minimum product levels that you must install before opening a problem report. Your entitlement to support is dependent upon your license and maintenance agreements for the InfoSphere MDM Collaboration Server.

Content

InfoSphere Master Data Management Collaboration Server 10.0

Tab navigation

Tab navigation



Operating Systems
Operating System Attributes Notes
AIX Platform listing of supported OS
AIX 6.1 POWER System and future OS fix packs Bitness: 64 Bit Exploit
Deployment Role: Server
Hardware platform: POWER System
AIX 7.1 POWER System and future OS fix packs Bitness: 64 Bit Exploit
Deployment Role: Server
Hardware platform: POWER System
Processor Support: POWER7 in POWER7 mode
Software Requirements
Group Product Applicable OS Notes
Collaborative WebSphere MQ 7.0.1.6 and future fix packs (overview) (support) All Applicable AIX OS

InfoSphere MDM Collaboration Server can be configured to use messaging software, as described in the product Information Center.

Operating System Runtimes Open Source Perl 5 and future fix packs All Applicable AIX OS

InfoSphere MDM Collaboration Server requires Perl version 5.8, although version 5.10 is preferred.  For more information, see the product Information Center.

Optional Supported Software
Group Product Applicable OS Notes
Application Servers WebSphere Application Server Network Deployment 7.0 and future fix packs (overview) (support) All Applicable AIX OS
Application Servers - 64-bit WebSphere Application Server Network Deployment 7.0 and future fix packs (overview) (support) All Applicable AIX OS
Databases DB2 Enterprise Server Edition 9.7 and future fix packs (overview) (support) All Applicable AIX OS

Requires IBM DB2® Client, version 9.7, including the DB2 Universal JDBC Driver, or later.

DB2® for RedHat Linux is supported on System z10® hardware as product database only.

Oracle Database 11g Enterprise Edition Release 2 11.2.0.1 and future fix packs All Applicable AIX OS

Requires Oracle Client, version 11g Rel 1, including the Oracle JDBC driver 11.1.0.7, or later.

Java SDK IBM Runtime Environment, Java Technology Edition 6.0 and future mod levels and fix packs All Applicable AIX OS

IBM Java SDK 6.0 on Windows, which is supplied with Rational Software Architect, is required if using Script Workbench with InfoSphere MDM Collaboration Server.

Virtualization IBM PowerVM Hypervisor (LPAR, DPAR, Micro-Partition) any supported version and future fix packs All Applicable AIX OS
VMware ESX 4.0 and future mod levels and fix packs All Applicable AIX OS
VMware ESX 4.1 and future mod levels and fix packs All Applicable AIX OS
VMware ESXi 4.0 and future mod levels and fix packs All Applicable AIX OS
VMware ESXi 4.1 and future mod levels and fix packs All Applicable AIX OS
Web Servers Apache HTTP Server 2.0 and future fix packs All Applicable AIX OS

Note: The WebSphere Application Server plug-in must match the version of WebSphere Application Server that you use for InfoSphere MDM Collaboration Server.

Apache HTTP Server, Version 2.0 or later

IBM HTTP Server 2.0 and future fix packs (overview) (support) All Applicable AIX OS

Note: The WebSphere Application Server plug-in must match the version of WebSphere Application Server that you use for InfoSphere MDM Collaboration Server.

IBM HTTP Server, Version 2.0 or later



Operating Systems
Operating System Attributes Notes
Linux Platform listing of supported OS
Red Hat Enterprise Linux (RHEL) 5 Update 5 Advanced Platform POWER System and future OS fix packs Bitness: 64 Bit Tolerate
Deployment Role: Server
Hardware platform: POWER System
Red Hat Enterprise Linux (RHEL) 5 Update 5 Advanced Platform x86-32 and future OS fix packs Bitness: 32 Bit
Deployment Role: Server
Hardware platform: x86-32
Red Hat Enterprise Linux (RHEL) 5 Update 5 Advanced Platform x86-64 and future OS fix packs Bitness: 64 Bit Tolerate, 64 Bit Exploit
Deployment Role: Server
Hardware platform: x86-64
SUSE Linux Enterprise Server (SLES) 11 x86-64 and future OS fix packs Bitness: 64 Bit Tolerate, 32 Bit, 64 Bit Exploit
Deployment Role: Server
Hardware platform: x86-64
Software Requirements
Group Product Applicable OS Notes
Collaborative WebSphere MQ 7.0.1.6 and future fix packs (overview) (support) All Applicable Linux OS

InfoSphere MDM Collaboration Server can be configured to use messaging software, as described in the product Information Center.

Operating System Runtimes Open Source Perl 5 and future fix packs All Applicable Linux OS

InfoSphere MDM Collaboration Server requires Perl version 5.8, although version 5.10 is preferred.  For more information, see the product Information Center.

Optional Supported Software
Group Product Applicable OS Notes
Application Servers Oracle/BEA WebLogic Server 11g Release 1 and future fix packs All Applicable Linux OS

Note:  Oracle/BEA WebLogic Server 11g Release 1 (10.3.5) or later. If you use Oracle WebLogic Server, you must use an Oracle database.

WebSphere Application Server Network Deployment 7.0 and future fix packs (overview) (support) All Applicable Linux OS
Application Servers - 64-bit Oracle/BEA WebLogic Server 11g Release 1 and future fix packs All Applicable Linux OS

Note:  Oracle/BEA WebLogic Server 11g Release 1 (10.3.5) or later. If you use Oracle WebLogic Server, you must use an Oracle database.

WebSphere Application Server Network Deployment 7.0 and future fix packs (overview) (support) All Applicable Linux OS
Databases DB2 Enterprise Server Edition 9.7 and future fix packs (overview) (support) All Applicable Linux OS

Requires IBM DB2® Client, version 9.7, including the DB2 Universal JDBC Driver, or later.

DB2® for RedHat Linux is supported on System z10® hardware as product database only.

Oracle Database 11g Enterprise Edition Release 2 11.2.0.1 and future fix packs All Applicable Linux OS

Requires Oracle Client, version 11g Rel 1, including the Oracle JDBC driver 11.1.0.7, or later.

Java SDK IBM Runtime Environment, Java Technology Edition 6.0 and future mod levels and fix packs All Applicable Linux OS

IBM Java SDK 6.0 on Windows, which is supplied with Rational Software Architect, is required if using Script Workbench with InfoSphere MDM Collaboration Server.

Sun Java SDK/JRE/JDK 6.0/1.6 and future fix packs All Applicable Linux OS

Sun Java SDK/JRE/JDK 6.0/1.6 is only supported when using Oracle/BEA WebLogic Server.

Sun Java SDK/JRE/JDK 6.0/1.6 Update 12 or later is required for 64-bit Oracle/BEA WebLogic Server.

Virtualization Red Hat KVM as delivered with Red Hat Enterprise Linux (RHEL) 5.5 and future mod levels and fix packs All Applicable Linux OS
VMware ESX 4.0 and future mod levels and fix packs All Applicable Linux OS
VMware ESX 4.1 and future mod levels and fix packs All Applicable Linux OS
VMware ESXi 4.0 and future mod levels and fix packs All Applicable Linux OS
VMware ESXi 4.1 and future mod levels and fix packs All Applicable Linux OS
Web Servers Apache HTTP Server 2.0 and future fix packs All Applicable Linux OS

Note: The WebSphere Application Server plug-in must match the version of WebSphere Application Server that you use for InfoSphere MDM Collaboration Server.

Apache HTTP Server, Version 2.0 or later

IBM HTTP Server 2.0 and future fix packs (overview) (support) All Applicable Linux OS

Note: The WebSphere Application Server plug-in must match the version of WebSphere Application Server that you use for InfoSphere MDM Collaboration Server.

IBM HTTP Server, Version 2.0 or later


Tab navigation



Operating Systems
Operating System Attributes Notes
Solaris Platform listing of supported OS
Solaris 10 SPARC and future OS fix packs Bitness: 32 Bit, 64 Bit Exploit
Deployment Role: Server
Hardware platform: SPARC
Software Requirements
Group Product Applicable OS Notes
Collaborative WebSphere MQ 7.0.1.6 and future fix packs (overview) (support) All Applicable Solaris OS

InfoSphere MDM Collaboration Server can be configured to use messaging software, as described in the product Information Center.

Operating System Runtimes Open Source Perl 5 and future fix packs All Applicable Solaris OS

InfoSphere MDM Collaboration Server requires Perl version 5.8, although version 5.10 is preferred.  For more information, see the product Information Center.

Optional Supported Software
Group Product Applicable OS Notes
Application Servers Oracle/BEA WebLogic Server 11g Release 1 and future fix packs All Applicable Solaris OS

Note:  Oracle/BEA WebLogic Server 11g Release 1 (10.3.5) or later. If you use Oracle WebLogic Server, you must use an Oracle database.

WebSphere Application Server Network Deployment 7.0 and future fix packs (overview) (support) All Applicable Solaris OS
Application Servers - 64-bit Oracle/BEA WebLogic Server 11g Release 1 and future fix packs All Applicable Solaris OS

Note:  Oracle/BEA WebLogic Server 11g Release 1 (10.3.5) or later. If you use Oracle WebLogic Server, you must use an Oracle database.

WebSphere Application Server Network Deployment 7.0 and future fix packs (overview) (support) All Applicable Solaris OS
Databases Oracle Database 11g Enterprise Edition Release 2 11.2.0.1 and future fix packs All Applicable Solaris OS

Requires Oracle Client, version 11g Rel 1, including the Oracle JDBC driver 11.1.0.7, or later.

Java SDK Sun Java SDK/JRE/JDK 6.0/1.6 and future fix packs All Applicable Solaris OS

Sun Java SDK/JRE/JDK 6.0/1.6 is only supported when using Oracle/BEA WebLogic Server.

Sun Java SDK/JRE/JDK 6.0/1.6 Update 12 or later is required for 64-bit Oracle/BEA WebLogic Server.

Virtualization Sun Solaris 10 Global/Local Zones (SPARC) 10 and future releases, mod levels and fix packs All Applicable Solaris OS

InfoSphere MDM Collaboration Server is supported for installation on local zones only.  Branded (or non-native) zones are not supported.

VMware ESX 4.0 and future mod levels and fix packs All Applicable Solaris OS
VMware ESX 4.1 and future mod levels and fix packs All Applicable Solaris OS
VMware ESXi 4.0 and future mod levels and fix packs All Applicable Solaris OS
VMware ESXi 4.1 and future mod levels and fix packs All Applicable Solaris OS
Web Servers Apache HTTP Server 2.0 and future fix packs All Applicable Solaris OS

Note: The WebSphere Application Server plug-in must match the version of WebSphere Application Server that you use for InfoSphere MDM Collaboration Server.

Apache HTTP Server, Version 2.0 or later

IBM HTTP Server 2.0 and future fix packs (overview) (support) All Applicable Solaris OS

Note: The WebSphere Application Server plug-in must match the version of WebSphere Application Server that you use for InfoSphere MDM Collaboration Server.

IBM HTTP Server, Version 2.0 or later


Tab navigation


Outline


Operating Systems
Operating System Attributes Notes
Windows Platform listing of supported OS
Windows XP Professional x86-32 Bitness: 32 Bit
Deployment Role: Agent/End-point
Hardware platform: x86-32
  • Minimum graphic screen resolution at 1024x768 pixels
  • RAM: 2GB or higher
  • To access the InfoSphere MDM Collaboration Server user interface, you must use:
  • Internet Explorer 7.0 (Supported for classic business user interfaces, but not recommended)
  • Internet Explorer 8.0 (Recommended, especially when using new business user interfaces)

Note: Classic business user interfaces are those user interfaces that display when the user selects "Single and multi-edit with rich search simplified" for the "For editing and entering data" user setting. New business user interfaces are those user interfaces that display when the user selects "Single and multi-edit with rich search" for the "For editing and entering data" user setting.

Windows XP Professional x86-64 Bitness: 64 Bit Tolerate
Deployment Role: Agent/End-point
Hardware platform: x86-64
  • Minimum graphic screen resolution at 1024x768 pixels
  • RAM: 2GB or higher
  • To access the InfoSphere MDM Collaboration Server user interface, you must use:
  • Internet Explorer 7.0 (Supported for classic business user interfaces, but not recommended)
  • Internet Explorer 8.0 (Recommended, especially when using new business user interfaces)


Note: Classic business user interfaces are those user interfaces that display when the user selects "Single and multi-edit with rich search simplified" for the "For editing and entering data" user setting. New business user interfaces are those user interfaces that display when the user selects "Single and multi-edit with rich search" for the "For editing and entering data" user setting.

Optional Supported Software
Group Product Applicable OS Notes
Browser (Information center) Microsoft Internet Explorer 7.0 and future fix packs All Applicable Windows OS

Internet Explorer 7.0 is supported for product information center.

 

Mozilla Firefox 3.6 All Applicable Windows OS

FireFox browser is only supported for product information center.


 

Browser (product components) Microsoft Internet Explorer 7.0 and future fix packs All Applicable Windows OS

Supported but not recommended especially when using new business user interfaces.

Note:  New business user interfaces are displayed when the user selects "Single and multi-edit with rich search simplified" for the "For editing and entering data" user setting.

 

Microsoft Internet Explorer 8.0 and future fix packs All Applicable Windows OS

Recommended especially when using new business user interfaces.

Note:  New business user interfaces are displayed when the user selects "Single and multi-edit with rich search simplified" for the "For editing and entering data" user setting.

Java SDK IBM Runtime Environment, Java Technology Edition 6.0 and future mod levels and fix packs Windows XP Professional x86-32,
Windows XP Professional x86-64

IBM Java SDK 6.0 on Windows, which is supplied with Rational Software Architect, is required if using Script Workbench with InfoSphere MDM Collaboration Server.


Notes

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

InfoSphere Master Data Management Collaboration Server

Software version:

10.0

Operating system(s):

AIX, Linux, Solaris, Windows

Reference #:

7023427

Modified date:

2011-11-02

Translate my page

Machine Translation

Content navigation